# Outcome data type assessment — outcome_type • freesearcheR
Outcome data type assessment

Skip to contents

# Outcome data type assessment

Source: `R/regression_model.R`
`outcome_type.Rd`

Outcome data type assessment

## Usage

    outcome_type(data)

## Arguments

data

  data

## Value

outcome type

## Examples

    mtcars |>
      default_parsing() |>
      lapply(outcome_type)
    #> $mpg
    #> [1] "continuous"
    #>
    #> $cyl
    #> [1] "ordinal"
    #>
    #> $disp
    #> [1] "continuous"
    #>
    #> $hp
    #> [1] "continuous"
    #>
    #> $drat
    #> [1] "continuous"
    #>
    #> $wt
    #> [1] "continuous"
    #>
    #> $qsec
    #> [1] "continuous"
    #>
    #> $vs
    #> [1] "dichotomous"
    #>
    #> $am
    #> [1] "dichotomous"
    #>
    #> $gear
    #> [1] "ordinal"
    #>
    #> $carb
    #> [1] "ordinal"
    #>